Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface ITreeWillExpand

All Known Implementing Classes:
  BusinessTree, FTree

public interface ITreeWillExpand

Interface fuer TreeWillExpandEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer TreeWillExpandEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addTreeWillExpandListener(TreeWillExpandListener listener)` Fuegt dem Control den uebergebenen Listener als TreeWillExpandListener hinzu.
`String` | `getActionClassForTreeWillExpand()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeWillExpandEvent ausgeloest wurde.
`void` | `removeTreeWillExpandListener(TreeWillExpandListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForTreeWillExpand(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeWillExpandEvent ausgeloest wurde.

Method Detail

### getActionClassForTreeWillExpand

    public String getActionClassForTreeWillExpand()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein TreeWillExpandEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer TreeWillExpandEvent.

### setActionClassForTreeWillExpand

    public void setActionClassForTreeWillExpand(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein TreeWillExpandEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer TreeWillExpandEvent.

### addTreeWillExpandListener

    public void addTreeWillExpandListener(TreeWillExpandListener listener)

  Fuegt dem Control den uebergebenen Listener als TreeWillExpandListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende TreeWillExpandListener.

### removeTreeWillExpandListener

    public void removeTreeWillExpandListener(TreeWillExpandListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD